{ X-PLANE SCRIPTING SYSTEM

file:  XPLANE.H

Developed by Billy Verreynne <vslabs@onwe.co.za>
Copyright (c) 2002 Verreynne Software Labs

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation;

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
}


// the number of floats per UDP data set
const _FLOATS = 8;

// Here follows the complete listing of UDP data
// sets from X-Plane. All the data sets are listed,
// but the actual contents of some data sets are
// not. Please complete data set details where required.

const _SIM_INDEX = 0;
const _SIM_BASE = _SIM_INDEX * _FLOATS;
const _SIM_FPS  = _SIM_BASE + 0;
const _SIM_FREQ = _SIM_BASE + 1;

const _SIMTIME_INDEX = 1;
const _SIMTIME_BASE = _SIMTIME_INDEX * _FLOATS;
const _SIM_TIME_ELAPSED = _SIMTIME_BASE + 0;
const _SIM_TIMER        = _SIMTIME_BASE + 1;
const _SIM_LTIME        = _SIMTIME_BASE + 2;
const _SIM_ZTIME        = _SIMTIME_BASE + 3;

const _SPEEDS_INDEX = 2;
const _SPEEDS_BASE  = _SPEEDS_INDEX * _FLOATS; 
const _VTRUE_KT  = _SPEEDS_BASE + 0;
const _VIND_KT   = _SPEEDS_BASE + 1;
const _VTRUE_MPH = _SPEEDS_BASE + 2;
const _VIND_MPH  = _SPEEDS_BASE + 3;
const _VVI       = _SPEEDS_BASE + 4;

const _ALPHA_INDEX = 3;
const _ALPHA_BASE = _ALPHA_INDEX * _FLOATS;
const _AOA        = _ALPHA_BASE + 0; 
const _YAW        = _ALPHA_BASE + 1;

const _HVPATH_INDEX = 4;

const _DENS_INDEX = 5;
const _DENS_BASE = _DENS_INDEX * _FLOATS;
const _DENSITY_1 = _DENS_BASE + 0;
const _DENSITY_E = _DENS_BASE + 1;
const _VACUM     = _DENS_BASE + 3;

const _PRESS_INDEX = 6;
const _PRESS_BASE         = _PRESS_INDEX * _FLOATS;
const _MSL_PRESSURE       = _PRESS_BASE + 0;
const _ALTIMETER_PRESSURE = _PRESS_BASE + 1;
const _MSL_TEMP           = _PRESS_BASE + 2;
const _AMBIENT_TEMP       = _PRESS_BASE + 3;
const _GRAVITY            = _PRESS_BASE + 4;
const _A_KTAS             = _PRESS_BASE + 5;
const _WIND_SPEED         = _PRESS_BASE + 6;
const _WIND_DIR           = _PRESS_BASE + 7;

const _GMACH_INDEX  = 7;
const _GMACH_BASE   = _GMACH_INDEX * _FLOATS;
const _MACH         = _GMACH_BASE + 0;
const _GLOAD_NORMAL = _GMACH_BASE + 1;
const _GLOAD_AXIAL  = _GMACH_BASE + 2;
const _GLOAD_SIDE   = _GMACH_BASE + 3;
const _ATMOSPERIC_P = _GMACH_BASE + 4;
const _Q            = _GMACH_BASE + 5;
const _LE_TEMP      = _GMACH_BASE + 6;

const _THROTTLE_INDEX = 8;
const _THROTTLE_BASE = _THROTTLE_INDEX * _FLOATS;
const _THROTTLE1 = _THROTTLE_BASE + 0;
const _THROTTLE2 = _THROTTLE_BASE + 1;
const _THROTTLE3 = _THROTTLE_BASE + 2;
const _THROTTLE4 = _THROTTLE_BASE + 3;
const _THROTTLE5 = _THROTTLE_BASE + 4;
const _THROTTLE6 = _THROTTLE_BASE + 5;
const _THROTTLE7 = _THROTTLE_BASE + 6;
const _THROTTLE8 = _THROTTLE_BASE + 7;

const _REVERSE_INDEX = 9;
const _REVERSE_BASE = _REVERSE_INDEX * _FLOATS;
const _REVERSE1 = _REVERSE_BASE + 0;
const _REVERSE2 = _REVERSE_BASE + 1;
const _REVERSE3 = _REVERSE_BASE + 2;
const _REVERSE4 = _REVERSE_BASE + 3;
const _REVERSE5 = _REVERSE_BASE + 4;
const _REVERSE6 = _REVERSE_BASE + 5;
const _REVERSE7 = _REVERSE_BASE + 6;
const _REVERSE8 = _REVERSE_BASE + 7;

const _PROP_INDEX = 10;

const _MIX_INDEX = 11;

const _CARB_INDEX = 12;

const _IGNITION_INDEX = 13;

const _COWL_INDEX = 14;

const _JOYSTICK_INDEX = 15;

const _ARTSTAB_INDEX = 16;

const _FLIGHTCOND_INDEX = 17;

const _SWEEPTHRUST_INDEX = 18;

const _TRIMFLAP_INDEX = 19;
const _TRIMFLAP_BASE    = _TRIMFLAP_INDEX * _FLOATS;
const _TRIM_ELEV        = _TRIMFLAP_BASE + 0;
const _TRIM_AILERON     = _TRIMFLAP_BASE + 1;
const _TRIM_RUDDER      = _TRIMFLAP_BASE + 2;
const _TRIM_ROTOR       = _TRIMFLAP_BASE + 3;
const _TRIM_FLAP        = _TRIMFLAP_BASE + 4;
const _TRIM_SLAT        = _TRIMFLAP_BASE + 5;
const _SPEEDBRAKE       = _TRIMFLAP_BASE + 6;


const _GEARBRAKES_INDEX = 20;
const _GEARBRAKES_BASE  = _GEARBRAKES_INDEX * _FLOATS;
const _GEAR             = _GEARBRAKES_BASE + 0;
const _WHEEL_BRAKE      = _GEARBRAKES_BASE + 1;
const _LEFT_BRAKE       = _GEARBRAKES_BASE + 2;
const _RIGHT_BRAKE      = _GEARBRAKES_BASE + 3;


const _ANGULAR_MOMENTS_INDEX = 21;

const _ANGULAR_ACCEL_INDEX = 22;

const _ANGULAR_VELOC_INDEX = 23;

const _PITCHROLL_INDEX = 24;
const _PITCHROLL_BASE = _PITCHROLL_INDEX * _FLOATS;
const _PITCH = _PITCHROLL_BASE + 0;
const _ROLL  = _PITCHROLL_BASE + 1;
const _HEADING_TRUE = _PITCHROLL_BASE + 2;
const _HEADING_MAG  = _PITCHROLL_BASE + 3;
const _HEADING_MAGVAR = _PITCHROLL_BASE + 4;
const _HEADING_BUG    = _PITCHROLL_BASE + 5;

const _LATLON_INDEX = 25;
const _LATLON_BASE = _LATLON_INDEX * _FLOATS;
const _LAT     = _LATLON_BASE + 0;
const _LON     = _LATLON_BASE + 1;
const _ALT_MSL = _LATLON_BASE + 2;
const _ALT_AGL = _LATLON_BASE + 3;
const _LAT_SOUTH = _LATLON_BASE + 6;
const _LON_WEST  = _LATLON_BASE + 7;

const _XYZ_INDEX = 26;
const _XYZ_BASE = _XYZ_INDEX * _FLOATS;
const _ACF_X    = _XYZ_BASE + 0;
const _ACF_Y    = _XYZ_BASE + 1;
const _ACF_Z    = _XYZ_BASE + 2;
const _DIST_FT  = _XYZ_BASE + 6;
const _DIST_NM  = _XYZ_BASE + 7;

const _PLANES_X_INDEX = 27;

const _PLANES_Y_INDEX = 28;

const _PLANES_Z_INDEX = 29;

const _ENGINE_PWR_INDEX = 30;

const _ENGINE_THRUST_INDEX = 31;

const _ENGINE_TRQ_INDEX = 32;

const _PROP_RPM_INDEX = 33;

const _PROP_PITCH_INDEX = 34;

const _PROPWASH_INDEX = 35;

const _MANIFOLD_INDEX = 36;

const _N1_INDEX = 37;

const _EPR_INDEX = 38;

const _FUEL_FLOW_INDEX = 39;

const _EGT_INDEX = 40;

const _ITT_INDEX = 41;

const _OIL_PRESS_INDEX = 42;

const _OIL_TEMP_INDEX = 43;

const _AMPS_INDEX = 44;

const _VOLT_INDEX = 45;

const _AERO_FORCES_INDEX = 46;

const _ENGINE_FORCES_INDEX = 47;

const  _GEAR_FORCES_INDEX = 48;

const _GEAR_DEFS_INDEX = 49;

const _LD_RATIO_INDEX = 50;

const _PROP_EFF_INDEX = 51;

const _AILERON_DEFS_INDEX = 52;

const _ROLL_SPLR_DEFS_INDEX = 53;

const _ELEV_DEFS_INDEX = 54;

const _RUDDER_DEFS_INDEX = 55;

const _YAW_DEFS_INDEX = 56;

const _VTHRUST_INDEX = 57;

const LTHRUST_INDEX = 58;

const PCYCLIC_DISC_INDEX = 59;

const RCYCLIC_DISC_INDEX = 60;

const PCYCLIC_FLAP_INDEX = 61;

const RCYCLIC_FLAP_INDEX = 62;

const _PWEIGHTS_INDEX = 63;
const _PWEIGHTS_BASE = _PWEIGHTS_INDEX * _FLOATS;
const _PAYLOAD      = _PWEIGHTS_BASE + 0;
const _FUEL1_WEIGHT = _PWEIGHTS_BASE + 1;
const _FUEL2_WEIGHT = _PWEIGHTS_BASE + 2;
const _FUEL3_WEIGHT = _PWEIGHTS_BASE + 3;
const _JETT_LOAD    = _PWEIGHTS_BASE + 4;

const _TWEIGHTS_INDEX = 64;
const _TWEIGHTS_BASE = _TWEIGHTS_INDEX * _FLOATS;
const _AICRAFT_EMPTY_WEIGHT = _TWEIGHTS_BASE + 0;
const _AICRAFT_WEIGHT       = _TWEIGHTS_BASE + 1;
const _AICRAFT_MAX_WEIGHT   = _TWEIGHTS_BASE + 2;

const GE_LIFTWING_INDEX = 65;

const GE_DRAGWING_INDEX = 66;

const GE_LIFTSTABS_INDEX = 67;

const GE_DRAGSTABS_INDEX = 68;

const GE_LIFTPROPS_INDEX = 69;

const GE_DRAGPROPS_INDEX = 70;

const _WING_LIFT_INDEX = 71;

const _WING_DRAG_INDEX = 72;

const _STAB_LIFT_INDEX = 73;

const _STAB_DRAG_INDEX = 74;

const _COM_FREQ_INDEX = 75;
const _COM_FREQ_BASE = _COM_FREQ_INDEX * _FLOATS;
const _COM1_FREQ     = _COM_FREQ_BASE + 0;
const _COM1_STDBY    = _COM_FREQ_BASE + 1;
const _COM2_FREQ     = _COM_FREQ_BASE + 2;
const _COM2_STDBY    = _COM_FREQ_BASE + 3;

const _VOR_FREQ_INDEX = 76;
const _VOR_FREQ_BASE = _VOR_FREQ_INDEX * _FLOATS;
const _VOR1_FREQ     = _VOR_FREQ_BASE + 0;
const _VOR1_STDBY    = _VOR_FREQ_BASE + 1;
const _VOR2_FREQ     = _VOR_FREQ_BASE + 2;
const _VOR2_STDBY    = _VOR_FREQ_BASE + 3;

const _VOR_OBS_INDEX = 77;
const _VOR_OBS_BASE = _VOR_OBS_INDEX * _FLOATS;
const _VOR1_OBS     = _VOR_OBS_BASE + 0;
const _VOR1_FLAG    = _VOR_OBS_BASE + 1;
const _VOR2_OBS     = _VOR_OBS_BASE + 2;
const _VOR2_FLAG    = _VOR_OBS_BASE + 3;

const _VOR_DEF_INDEX = 78;
const _VOR_DEF_BASE = _VOR_DEF_INDEX * _FLOATS;
const _VOR1_HDEF    = _VOR_DEF_BASE + 0;
const _VOR1_VDEF    = _VOR_DEF_BASE + 1;
const _VOR2_HDEF    = _VOR_DEF_BASE + 2;
const _VOR2_VDEF    = _VOR_DEF_BASE + 3;

const _ADF_STAT_INDEX = 79;
const _ADF_BASE = _ADF_STAT_INDEX * _FLOATS;
const _ADF1_FREQ = _ADF_BASE + 0;
const _ADF1_CARD = _ADF_BASE + 1;
const _ADF1_BRNG = _ADF_BASE + 2;
const _ADF2_FREQ = _ADF_BASE + 4;
const _ADF2_CARD = _ADF_BASE + 5;
const _ADF2_BRNG = _ADF_BASE + 6;

const _DME_STAT_INDEX = 80;
const _DME_STAT_BASE  = _DME_STAT_INDEX * _FLOATS;
const _DME_SELECTED   = _DME_STAT_BASE + 0;
const _DME_DIST       = _DME_STAT_BASE + 1;
const _DME_SPEED      = _DME_STAT_BASE + 2;
const _DME_TIME       = _DME_STAT_BASE + 3;

const _GPS_STAT_INDEX = 81;
const _GPS_BASE = _GPS_STAT_INDEX * _FLOATS;
const _GPS_FACILITY = _GPS_BASE + 0;
const _GPS_DIST     = _GPS_BASE + 1;
const _GPS_COURSE   = _GPS_BASE + 2;
const _GPS_HDEF     = _GPS_BASE + 3;
const _GPS_FLAG     = _GPS_BASE + 4;

const _TRANSPONDER_INDEX = 82;
const _TRANSPONDER_BASE = _TRANSPONDER_INDEX * _FLOATS;
const _TRANSPONDER      = _TRANSPONDER_BASE + 0;
const _TRANSPONDER_IDENT= _TRANSPONDER_BASE + 1;
const _TRANSPONDER_INTER= _TRANSPONDER_BASE + 2;

const _AP_STAT_INDEX = 83;
const _AUTOPILOT_BASE     = _AP_STAT_INDEX * _FLOATS;
const _AUTO_SPEED_STATUS  = _AUTOPILOT_BASE + 0;
const _AUTO_HEADING_STATUS= _AUTOPILOT_BASE + 1;
const _AUTO_ALT_STATUS    = _AUTOPILOT_BASE + 2;
const _AUTO_BACKCOURSE_STATUS = _AUTOPILOT_BASE + 3;
const _AUTO_SPEED         = _AUTOPILOT_BASE + 4;
const _AUTO_HEADING       = _AUTOPILOT_BASE + 5;
const _AUTO_ALT_HEADING   = _AUTOPILOT_BASE + 6;
const _AUTO_ALT_VS        = _AUTOPILOT_BASE + 7;

const _MISC_STAT_INDEX = 84;

const _AUDIO_STAT_INDEX = 85;
const _AUDIO_BASE   = _AUDIO_STAT_INDEX  * _FLOATS;
const _OM_MORSE     = _AUDIO_BASE + 0;
const _MM_MORSE     = _AUDIO_BASE + 1;
const _IM_MORSE     = _AUDIO_BASE + 2;
const _AUDIO_ACTIV  = _AUDIO_BASE + 3;
const _GEAR_ACTIV   = _AUDIO_BASE + 4;

const _SWITCH1_STAT_INDEX = 86;
const _SWITCH1_STAT_BASE = _SWITCH1_STAT_INDEX * _FLOATS;
const _BATTERY_MASTER    = _SWITCH1_STAT_BASE + 0;
const _AVIONICS_MASTER   = _SWITCH1_STAT_BASE + 1;
const _NAV_LIGHTS        = _SWITCH1_STAT_BASE + 2;
const _BEACON_LIGHTS     = _SWITCH1_STAT_BASE + 3;
const _LANDING_LIGHTS    = _SWITCH1_STAT_BASE + 4;
const _HUD_POWER         = _SWITCH1_STAT_BASE + 5;
const _HUD_BRIGHTNESS    = _SWITCH1_STAT_BASE + 6;

const _SWITCH2_STAT_INDEX  = 87;
const _SWITCH2_STAT_BASE   = _SWITCH2_STAT_INDEX * _FLOATS;
const _PITOT_SWITCH        = _SWITCH2_STAT_BASE + 0;
const _ANTI_ICE_SWITCH     = _SWITCH2_STAT_BASE + 1;
const _AUTO_BRAKE_SWITCH   = _SWITCH2_STAT_BASE + 2;
const _AUTO_FEATHER_SWITCH = _SWITCH2_STAT_BASE + 2;
const _YAW_DAMPENER_SWITCH = _SWITCH2_STAT_BASE + 2;
const _ART_STAB_SWITCH     = _SWITCH2_STAT_BASE + 2;
const _FADEC_SWITCH1       = _SWITCH2_STAT_BASE + 2;
const _FADEC_SWITCH2       = _SWITCH2_STAT_BASE + 2;

const _SWITCH3_STAT_INDEX = 88;

const _WARNINGS_INDEX = 89;

const _VSPEEDS_INDEX = 90;
const _VSPEEDS_BASE = _VSPEEDS_INDEX * _FLOATS;
const _VSO          = _VSPEEDS_BASE + 0;
const _VS           = _VSPEEDS_BASE + 1;
const _VFE          = _VSPEEDS_BASE + 2;
const _VLE          = _VSPEEDS_BASE + 3;
const _VNO          = _VSPEEDS_BASE + 4;
const _VNE          = _VSPEEDS_BASE + 5;

const _HARDWARE_INDEX = 91;

const _CAMERA_INDEX = 92;
const _CAMERA_BASE  = _CAMERA_INDEX * _FLOATS;
const _CAMERA_X     = _CAMERA_BASE + 0;
const _CAMERA_Y     = _CAMERA_BASE + 1;
const _CAMERA_Z     = _CAMERA_BASE + 2;
const _CAMERA_PITCH = _CAMERA_BASE + 3;
const _CAMERA_HDNG  = _CAMERA_BASE + 4;
const _CAMERA_ROLL  = _CAMERA_BASE + 5;
const _CAMERA_ZOOM  = _CAMERA_BASE + 6;

// Fixed Values used by X-Plane for Instruments
// and other variables


// Maximum number of engines for an X-Plane aircraft
const _MAX_ENGINES = 8;

// Maximum number of fuel tanks
const _MAX_FUEL_TANKS = 3;


// values for the _GEAR
const _GEAR_UP = 0;
const _GEAR_DOWN = 1;


// Audio signal for an OM, MM or IM
const _MARKER_OFF = 0;

// auto pilot engage/disengage constants
// (no idea where and how the AP1 and AP2 selectors feature
// in UDP output as the VOR1/VOR2 source for heading and
// altitude)
const _OTTO_SPEED_OFF = 10;
const _OTTO_SPEED_ON = 11;
const _OTTO_HEADING_OFF = 10;
const _OTTO_HEADING_ON = 12;
const _OTTO_BACKCOURSE_OFF = 0;
const _OTTO_HEADING_GPS = 13;
const _OTTO_HEADING_LNAV = 14;
const _OTTO_ALT_OFF = 10;
const _OTTO_ALT_HOLD = 15;
const _OTTO_ALT_VS = 16;
const _OTTO_ALT_GS = 17;

// VOR flags
const VOR_FLAG_OFF = 0;
const VOR_FLAG_TO = 1;
const VOR_FLAG_FROM = 2;

// X-Plane Keyboard Definition
// (default - if the user customises his keys then
// he is screwed when using XPScriper)
// key definitions
const _KEY_AP_DISCONNECT = '!';
const _KEY_PAUSE = 'p';
const _KEY_HUD_VIEW = '+';
const _KEY_CAMERA_VIEW = '|';
const _KEY_VIEW_LEFT = 'q';
const _KEY_VIEW_RIGHT = 'e';
const _KEY_BRAKES = 'b';
const _KEY_FULL_BRAKES = 'v';




// Systems & Instruments Failure index
const _SYSTEM_VACUUM     =  0;
const _SYSTEM_ASI        =  1;
const _SYSTEM_AH         =  2;
const _SYSTEM_ALTIMETER  =  3;
const _SYSTEM_TURNCOORD  =  4;
const _SYSTEM_VVI        =  5;
const _SYSTEM_HI         =  6;
const _SYSTEM_PRIME_EFIS =  7;
const _SYSTEM_SEC_EFIS   =  8;
const _SYSTEM_ROLL_LEFT  =  9;
const _SYSTEM_ROLL_RIGHT = 10;
const _SYSTEM_PITCH_UP   = 11;
const _SYSTEM_PITCH_DOWN = 12;
const _SYSTEM_YAW_LEFT   = 13;
const _SYSTEM_YAW_RIGHT  = 14;
const _SYSTEM_ROLL_TRIM  = 15;
const _SYSTEM_PITCH_TRIM = 16;
const _SYSTEM_YAW_TRIM   = 17;
const _SYSTEM_LEFT_FLAP  = 18;
const _SYSTEM_RIGHT_FLAP = 19;
const _SYSTEM_LEFT_FLAP_GONE = 20;
const _SYSTEM_LEFT_RIGHT_GONE = 21;
const _SYSTEM_SLATS       = 22;
const _SYSTEM_THROTTLE    = 23;
const _SYSTEM_GEAR1       = 24;
const _SYSTEM_GEAR2       = 25;
const _SYSTEM_GEAR3       = 26;
const _SYSTEM_GEAR4       = 27;
const _SYSTEM_GEAR5       = 28;
const _SYSTEM_TIRE1_BLOWN = 29;
const _SYSTEM_TIRE2_BLOWN = 30;
const _SYSTEM_TIRE3_BLOWN = 31;
const _SYSTEM_TIRE4_BLOWN = 32;
const _SYSTEM_TIRE5_BLOWN = 33;
const _SYSTEM_ANTI_ICE    = 34;
const _SYSTEM_COCKPIT_LIGHT = 35;
const _SYSTEM_ELECTRICAL  = 36;
const _SYSTEM_HYDRAULICS  = 37;
const _SYSTEM_ART_STABILITY = 38;
const _SYSTEM_HELO_FADEC  = 39;
const _SYSTEM_AUTOPILOT   = 40;
const _SYSTEM_TAIL_ROTOR  = 41;
const _SYSTEM_AUTO_FEATHER= 42;
const _SYSTEM_ENGINE1     = 43;
const _SYSTEM_ENGINE2     = 44;
const _SYSTEM_ENGINE3     = 45;
const _SYSTEM_ENGINE4     = 46;
const _SYSTEM_ENGINE5     = 47;
const _SYSTEM_ENGINE6     = 48;
const _SYSTEM_ENGINE7     = 49;
const _SYSTEM_ENGINE8     = 50;
const _SYSTEM_ENGINE1_GONE= 51;
const _SYSTEM_ENGINE2_GONE= 52;
const _SYSTEM_ENGINE3_GONE= 53;
const _SYSTEM_ENGINE4_GONE= 54;
const _SYSTEM_ENGINE5_GONE= 55;
const _SYSTEM_ENGINE6_GONE= 56;
const _SYSTEM_ENGINE7_GONE= 57;
const _SYSTEM_ENGINE8_GONE= 58;
const _SYSTEM_ENGINE1_OILPUMP = 59;
const _SYSTEM_ENGINE2_OILPUMP = 60;
const _SYSTEM_ENGINE3_OILPUMP = 61;
const _SYSTEM_ENGINE4_OILPUMP = 62;
const _SYSTEM_ENGINE5_OILPUMP = 63;
const _SYSTEM_ENGINE6_OILPUMP = 64;
const _SYSTEM_ENGINE7_OILPUMP = 65;
const _SYSTEM_ENGINE8_OILPUMP = 66;
const _SYSTEM_ENGINE1_FUELPUMP= 67;
const _SYSTEM_ENGINE2_FUELPUMP= 68;
const _SYSTEM_ENGINE3_FUELPUMP= 69;
const _SYSTEM_ENGINE4_FUELPUMP= 70;
const _SYSTEM_ENGINE5_FUELPUMP= 71;
const _SYSTEM_ENGINE6_FUELPUMP= 72;
const _SYSTEM_ENGINE7_FUELPUMP= 73;
const _SYSTEM_ENGINE8_FUELPUMP= 74;
const _SYSTEM_REVERSER1   = 75;
const _SYSTEM_REVERSER2   = 76;
const _SYSTEM_REVERSER3   = 77;
const _SYSTEM_REVERSER4   = 78;
const _SYSTEM_REVERSER5   = 79;
const _SYSTEM_REVERSER6   = 80;
const _SYSTEM_REVERSER7   = 81;
const _SYSTEM_REVERSER8   = 82;
const _SYSTEM_LEFT_WING1  = 83;
const _SYSTEM_LEFT_WING2  = 84;
const _SYSTEM_LEFT_WING3  = 85;
const _SYSTEM_LEFT_WING4  = 86;
const _SYSTEM_LEFT_HSTAB  = 87;
const _SYSTEM_VERT_STAB1  = 88;
const _SYSTEM_ENGINE_PYLON_1a = 89;
const _SYSTEM_ENGINE_PYLON_3a = 90;
const _SYSTEM_ENGINE_PYLON_5a = 91;
const _SYSTEM_ENGINE_PYLON_7a = 92;
const _SYSTEM_ENGINE_PYLON_1b = 93;
const _SYSTEM_ENGINE_PYLON_3b = 94;
const _SYSTEM_ENGINE_PYLON_5b = 95;
const _SYSTEM_ENGINE_PYLON_7b = 96;
const _SYSTEM_RIGHT_WING1 = 97;
const _SYSTEM_RIGHT_WING2 = 98;
const _SYSTEM_RIGHT_WING3 = 99;
const _SYSTEM_RIGHT_WING4 =100;
const _SYSTEM_RIGHT_HSTAB =101;
const _SYSTEM_VERT_STAB2  =102;
const _SYSTEM_ENGINE_PYLON_2a =103;
const _SYSTEM_ENGINE_PYLON_4a =104;
const _SYSTEM_ENGINE_PYLON_6a =105;
const _SYSTEM_ENGINE_PYLON_8a =106;
const _SYSTEM_ENGINE_PYLON_2b =107;
const _SYSTEM_ENGINE_PYLON_4b =108;
const _SYSTEM_ENGINE_PYLON_6b =109;
const _SYSTEM_ENGINE_PYLON_8b =110;
const _SYSTEM_FUSELAGE =111;
const _SYSTEM_NACELLE1 =112;
const _SYSTEM_NACELLE2 =113;
const _SYSTEM_NACELLE3 =114;
const _SYSTEM_NACELLE4 =115;
const _SYSTEM_NACELLE5 =116;
const _SYSTEM_NACELLE6 =117;
const _SYSTEM_NACELLE7 =118;
const _SYSTEM_NACELLE8 =119;
const _SYSTEM_MISC_BODY1 =120;
const _SYSTEM_MISC_BODY2 =121;



//eof






